buynowshop.com
BNS SMF Feeds and WP 2.8.6
BNS SMF Feeds version 1.0.1 currently needs to be run on WordPress 2.9 or higher as of Dec 8, 2009.